TAU2PROFILE(1)

NAME
tau2profile - convert TAU tracefiles to TAU profile files

SYNOPSIS

tau2vprofile [-d directory] [-s snapshot_interval] {tau_tracefile} {tau_eventfile}

DESCRIPTION

This program is generated when TAU is configured with the -TRACE option.

The tau2profile converter takes a single tau_tracefile (*.trc) and tau_eventfile (*.edf) and produces a corresponding series of profile files. The input files must be specified in that order, with optinal parameters coming afterward. Multi-file TAU traces must be merged before conversion.

OPTIONS

-d Output profile files to the specified 'directory' rather than the current directory.

-s Output a profile snapshot showing the state of the profile data accumulated from the trace every 'snapshot_interval' time units. The snapshot profiles are placed sequentially in directories labled 'snapshot_n' where 'n' is an integer ranging from 0 to to the total number of snapshots -1.

EXAMPLES

The program must be run with the tau trace and tau event files specified in the command line in that order. Any additional arguments follow. The following will produce a profile file array, from the TAU trace and event files merged.trc and tau.edf trace file:

tau2profile merged.trc tau.edf

The following will convert merged.trc and tau.edf to a series of profiles one directory higher. It will also produce a profile snapshot every 250,000 time units:

tau2profile merged.trc tau.edf -d ./.. -s 250000

SEE ALSO

vtf2profile(1), tau2vtf(1), tau2otf(1), tau_merge(1), tau_convert(1)